#pragma once
#include "ThreadBase.h"
#include <map>
class CFileModule : public CThreadBase
{
public:
	CFileModule();
	virtual ~CFileModule();
private:
	void HeartBeat_Imp();
	void DealOneRequestMsg(CInterProtocl *pITP);
	void DealOneResponseMsg(CInterProtocl *pITP){};
private:
	FILE *m_fileHandle;
	FILE *m_errorHandle;
	char m_str[1024];
	CString m_str1;
	CString m_str2;

	CString m_strTime;
	CString m_strData;
	CString m_strOp;
	CString m_strTotal;
	std::map<int, CString> m_mapOp;
	void writeFile(int file, char *data, int len);
};